@echo off
echo 程序文件文件更新前，确保服务器已停止服务。更新目录“D:\Mirserver”！
echo 默认更新到“D:\Mirserver”，如果是其他盘，请使用鼠标右键，
echo 点击该文件，然后点编辑，修改里面的路径
pause

set WSDir=D:\MirServer
Copy Mir200\M2Server.exe %WSDir%\Mir200\ /y
Copy Mir200\IPLocal.dll %WSDir%\Mir200\ /y
Copy Mir200\QQWry.Dat %WSDir%\Mir200\ /y
Copy Mir200\PlugList.txt %WSDir%\Mir200\ /y
Copy Mir200\ip库升级.exe %WSDir%\Mir200\ /y
Copy DBServer\DBServer.exe %WSDir%\DBServer\ /y
Copy LogServer\LogDataServer.exe %WSDir%\LogServer\ /y
Copy LoginGate\LoginGate.exe %WSDir%\LoginGate\ /y
Copy LoginSrv\LoginSrv.exe %WSDir%\LoginSrv\ /y
Copy RunGate\RunGate.exe %WSDir%\RunGate\ /y
Copy SelGate\SelGate.exe %WSDir%\SelGate\ /y
Copy GameOfMir引擎控制器.exe %WSDir%\ /y
Copy 商业版与免费版登录器的区别.txt %WSDir%\ /y
Copy 破解使用说明.txt %WSDir%\ /y

set WSDir=D:\MirServer\登录器
if not exist %WSDir% (mkdir %WSDir%)
Copy 登录器\GameOfMir登录器生成器.exe %WSDir%\ /y
Copy 登录器\NewopUI.Pak %WSDir%\ /y
Copy 登录器\NewopUI文件说明.txt %WSDir%\ /y
Copy 登录器\D3DX81ab.dll %WSDir%\ /y
Copy 登录器\GuiEditDll.dll %WSDir%\ /y
Copy 登录器\列表格式.txt %WSDir%\ /y
Copy 登录器\外挂检测.txt %WSDir%\ /y
Copy 登录器\登录器如何集成补丁.txt %WSDir%\ /y

set WSDir=D:\MirServer\登录器\登陆器皮肤
if not exist %WSDir% (mkdir %WSDir%)
Copy 登录器\登陆器皮肤\登陆器皮肤1.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤2.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤3.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤4.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤5.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤6.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤7.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤8.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤9.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤10.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤11.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\登陆器皮肤12.skin %WSDir%\ /y
Copy 登录器\登陆器皮肤\使用说明.txt %WSDir%\ /y

set WSDir=D:\MirServer\工具
if not exist %WSDir% (mkdir %WSDir%)
Copy 工具\数据管理.exe %WSDir%\ /y
Copy 工具\合区工具.exe %WSDir%\ /y
Copy 工具\WIL编辑器.exe %WSDir%\ /y
Copy 工具\人物数据扩展工具1.exe %WSDir%\ /y
Copy 工具\人物数据扩展工具2.exe %WSDir%\ /y
Copy 工具\人物数据扩展工具3.exe %WSDir%\ /y
Copy 工具\人物数据扩展工具4.exe %WSDir%\ /y
Copy 工具\人物数据扩展工具5.exe %WSDir%\ /y
Copy 工具\多机负载配置工具.exe %WSDir%\ /y
Copy 工具\远程账号管理工具.exe %WSDir%\ /y
Copy 工具\BDE数据库转换成Access数据库.exe %WSDir%\ /y
Copy 工具\日记查询.exe %WSDir%\ /y
Copy 工具\日记查询(64位).exe %WSDir%\ /y

set WSDir=D:\MirServer\微端服务器
if not exist %WSDir% (mkdir %WSDir%)
Copy 微端服务器\说明.txt %WSDir%\ /y

set WSDir=D:\MirServer\微端服务器\UpdateGate
if not exist %WSDir% (mkdir %WSDir%)
Copy 微端服务器\UpdateGate\UpdateGate.exe %WSDir%\ /y

set WSDir=D:\MirServer\微端服务器\UpdateServer
if not exist %WSDir% (mkdir %WSDir%)
Copy 微端服务器\UpdateServer\UpdateServer.exe %WSDir%\ /y
Copy 微端服务器\UpdateServer\UpdateServer(64位).exe %WSDir%\ /y

set WSDir=D:\MirServer
Copy GameOfMir引擎帮助文档.chm %WSDir%\ /y
Copy GameOfMir引擎更新说明.txt %WSDir%\ /y
Copy 必读说明.txt %WSDir%\ /y

set WSDir=D:\MirServer\骑马补丁\Data
if not exist %WSDir% (mkdir %WSDir%)
Copy 骑马补丁\Data\L-HairHorse.wil %WSDir%\ /y
Copy 骑马补丁\Data\L-HairHorse.wix %WSDir%\ /y
Copy 骑马补丁\Data\L-Horse.wil %WSDir%\ /y
Copy 骑马补丁\Data\L-Horse.wix %WSDir%\ /y
Copy 骑马补丁\Data\L-HumHorse.wil %WSDir%\ /y
Copy 骑马补丁\Data\L-HumHorse.wix %WSDir%\ /y

set WSDir=D:\MirServer\骑马补丁\Wav
if not exist %WSDir% (mkdir %WSDir%)
Copy 骑马补丁\Wav\33.Wav %WSDir%\ /y
Copy 骑马补丁\Wav\34.Wav %WSDir%\ /y
Copy 骑马补丁\Wav\35.Wav %WSDir%\ /y

echo 程序文件文件已更新完成. . .
pause